# AWS Account Bootstrap

**WARNING**: This component uses local remote state. Ensure you git add/commit/push the tfstate file(s) if there are changes.


This is used to bootstrap an AWS Account. It can be used for bootstrapping a brand new master AWS Account as well as setting up initial Terraform remote state for AWS Organization Accounts that are created and linked to the master AWS Account.

For the master account (`billing`) it will create an initial master user with Administrator Access, and an account IAM alias.
For the master account and AWS Organization Accounts it will create an S3 bucket and DynamoDB Table to use for Terraform remote state.

## Usage

The initial master AWS Account is created manually and a root user/credentials can then be used to bootstrap the master Account

```bash
export AWS_SECRET_ACCESS_KEY=
export AWS_ACCESS_KEY_ID=
terraform init -backend-config=../environments/billing/global/backend.tfvars
terraform plan -out=/tmp/terraform.plan -var-file=../environments/billing/global/terraform.tfvars
terraform apply /tmp/terraform.plan
```

The following can be run for each environment after creating the [organization](../organization/README.md) and child accounts:

```bash
ENVIRONMENT=[SET_SPECIFIC_ENVIRONMENT]
terraform init -backend-config=../environments/${ENVIRONMENT}/global/backend.tfvars
terraform plan -out=/tmp/terraform.plan -var-file=../environments/${ENVIRONMENT}/global/terraform.tfvars
terraform apply /tmp/terraform.plan
```

Ensure you git add/commit/push the tfstate file(s) if there are changes.
