resource "aws_iam_user" "bootstrap" {
  count = var.create_master_bootstrap ? 1 : 0

  name = "tf-bootstrap"
  path = "/bootstrap/"

  tags = {
    name       = "bootstrap"
    created_by = "terraform"
    owner      = "paas"
  }
}

resource "aws_iam_access_key" "bootstrap" {
  count = var.create_master_bootstrap ? 1 : 0

  user    = aws_iam_user.bootstrap[count.index].name
  pgp_key = "keybase:${var.keybase_username}"
  status  = var.user_active
}

resource "aws_iam_group" "bootstrap" {
  count = var.create_master_bootstrap ? 1 : 0

  name = "bootstrap"
  path = "/bootstrap/"
}

resource "aws_iam_group_policy_attachment" "bootstrap" {
  count = var.create_master_bootstrap ? 1 : 0

  group      = aws_iam_group.bootstrap[count.index].name
  policy_arn = "arn:aws:iam::aws:policy/AdministratorAccess"
}

resource "aws_iam_group_membership" "bootstrap" {
  count = var.create_master_bootstrap ? 1 : 0

  name  = "bootstrap-group-membership"
  group = aws_iam_group.bootstrap[count.index].name

  users = aws_iam_user.bootstrap.*.name
}
