locals {
  group-policies-association = flatten([
    for group in keys(var.groups) : [
      for policy in var.groups[group].policy_arns : {
        group_name = group
        policy_arn = policy
      }
    ]
  ])
}

resource "aws_iam_group" "group" {
  count = length(keys(var.groups))

  name = var.groups[element(keys(var.groups), count.index)].groupname
  path = "/"
}

resource "aws_iam_group_policy_attachment" "group_policy_attachment" {
  count = length(local.group-policies-association)

  group      = local.group-policies-association[count.index].group_name
  policy_arn = local.group-policies-association[count.index].policy_arn
}

resource "aws_iam_group" "all_users" {
  name = "all_users"
  path = "/"
}

resource "aws_iam_group_policy_attachment" "all_users_policy" {
  group      = aws_iam_group.all_users.name
  policy_arn = aws_iam_policy.all_users_credentials.arn
}
