resource "aws_iam_user" "user" {
  count = length(var.users_list_order)

  name          = var.users[element(var.users_list_order, count.index)].username
  path          = "/"
  force_destroy = "true"

  tags = {
    name        = var.users[element(var.users_list_order, count.index)].username
    created_by  = "terraform"
    owner       = "paas"
    application = "infra"
  }
}

resource "aws_iam_user_login_profile" "user_login" {
  count = length(var.users_list_order)

  user                    = var.users[element(var.users_list_order, count.index)].username
  pgp_key                 = "keybase:${var.users[element(var.users_list_order, count.index)].keybase_username}"
  password_length         = 20
  password_reset_required = "false"
}

resource "aws_iam_user_group_membership" "user_groups" {
  count = length(var.users_list_order)

  user   = var.users[element(var.users_list_order, count.index)].username
  groups = concat(var.users[element(var.users_list_order, count.index)].groups, [aws_iam_group.all_users.name])
}