variable "users" {
  type = map(object({
    username         = string
    keybase_username = string
    team             = string
    groups           = list(string)
  }))
}

variable "groups" {
  type = map(object({
    groupname   = string
    policy_arns = list(string)
  }))
}

variable "iam_account_alias" {
  type = string
}

variable "users_list_order" {
  type        = list
  description = "Until for_each is supported, use this list to fix the ordering of user resource names for usage with count"
}

variable "trusted_account_ids" {
  type        = list(string)
  default     = []
  description = "List of trusted AWS account IDs to use in IAM policies"
}
