org = {
  service_access_principals = [
    "cloudtrail.amazonaws.com"
  ]

  feature_set       = "ALL"
  policy_types      = ["SERVICE_CONTROL_POLICY"]
}

password_policy_config = {
  allow_users_to_change_password = true
  hard_expiry                    = true
  require_numbers                = true
  require_symbols                = true
  require_lowercase_characters   = true
  require_uppercase_characters   = true
  max_password_age               = 90
  minimum_password_length        = 8
  password_reuse_prevention      = 3
}

org_accounts = {
  services = {
    account_name               = "services"
    email                      = "PaasAWSHBIServices@hollandandbarrett.com"
    iam_user_access_to_billing = "DENY"
  },
  audit = {
    account_name               = "audit"
    email                      = "PaasAWSHBIAudit@hollandandbarrett.com"
    iam_user_access_to_billing = "DENY"
  },
  sandbox = {
    account_name               = "sandbox"
    email                      = "PaasAWSHBISandbox@hollandandbarrett.com"
    iam_user_access_to_billing = "DENY"
  },
  dev = {
    account_name               = "dev"
    email                      = "PaasAWSHBIDev@hollandandbarrett.com"
    iam_user_access_to_billing = "DENY"
  },
  prod = {
    account_name               = "prod"
    email                      = "PaasAWSHBIProd@hollandandbarrett.com"
    iam_user_access_to_billing = "DENY"
  }
}
