resource "aws_iam_account_password_policy" "strict" {
  allow_users_to_change_password = var.password_policy_config["allow_users_to_change_password"]
  hard_expiry                    = var.password_policy_config["hard_expiry"]
  require_numbers                = var.password_policy_config["require_numbers"]
  require_symbols                = var.password_policy_config["require_symbols"]
  require_uppercase_characters   = var.password_policy_config["require_uppercase_characters"]
  require_lowercase_characters   = var.password_policy_config["require_lowercase_characters"]
  max_password_age               = var.password_policy_config["max_password_age"]
  minimum_password_length        = var.password_policy_config["minimum_password_length"]
  password_reuse_prevention      = var.password_policy_config["password_reuse_prevention"]
}
