variable "password_policy_config" {
  type = object({
    allow_users_to_change_password = bool
    hard_expiry                    = bool
    require_numbers                = bool
    require_symbols                = bool
    require_lowercase_characters   = bool
    require_uppercase_characters   = bool
    max_password_age               = number
    minimum_password_length        = number
    password_reuse_prevention      = number
  })
}

variable "org" {
  type = object({
    feature_set               = string
    service_access_principals = list(string)
    policy_types              = list(string)
  })
  default = {
    feature_set               = "ALL"
    service_access_principals = ["cloudtrail.amazonaws.com"]
    policy_types              = ["SERVICE_CONTROL_POLICY"]
  }
}

variable "org_accounts" {
  type = map(object({
    account_name               = string
    email                      = string
    iam_user_access_to_billing = string
  }))
}
