locals {
  required_tags = {
    application = "infra"
    owner       = "paas"
    created_by  = "terraform"
  }
}

resource "aws_route53_zone" "route53_zones" {
  count = length(var.route53_zones)

  name              = var.route53_zones[count.index].name
  comment           = var.route53_zones[count.index].type == "public" ? "${var.route53_zones[count.index].name} public zone" : "${var.route53_zones[count.index].name} private zone"
  delegation_set_id = var.route53_zones[count.index].type == "public" && var.route53_zones[count.index].delegation_set_id != "" ? var.route53_zones[count.index].delegation_set_id : null
  force_destroy     = var.route53_zones[count.index].force_destroy
  tags              = merge(local.required_tags, var.route53_zones[count.index].tags)

  dynamic "vpc" {
    for_each = var.route53_zones[count.index].type == "private" ? [var.route53_zones[count.index]] : []
    content {
      vpc_id = vpc.value.vpc_id
    }
  }
}
