variable "route53_zones" {
  type = list(object({
    name              = string
    type              = string
    force_destroy     = bool
    vpc_id            = string
    delegation_set_id = string # "" does not set it, or set a valid delegation_set_id
    tags              = map(string)
  }))
  description = "route53 zones config map, pass separate config map for public and private zones"
}

# delegation zones definitions fully static so might as well
# keep it in here instead of in another component
variable "route53_zones_delegation" {
  type = map(object({
    parent_zone_id = string
    domain_name    = string
    ttl            = string
    name_servers   = list(string)
  }))
}