variable "region" {
  description = "The AWS region to create the resources"
  type        = string
}

variable "vpc" {
  type = object({
    environment            = string
    cidr                   = string
    enable_dns_hostnames   = bool
    enable_dns_support     = bool
    enable_nat_gateway     = bool
    one_nat_gateway_per_az = bool
    add_eks_tags           = bool # add EKS tags on subnets/vpc for cluster discovery
  })
  description = "vpc variables"
}

variable "tags" {
  description = "Common tags to apply to all AWS resources"
  type        = map
  default     = {}
}
