variable "tags" {
  type    = map
  default = {}
}

variable "region" {
  type = string
}

variable "environment" {
  type = string
}

variable "vpc_remote" {
  description = "Configuration options for VPC tfstate file."
  type        = map
  default     = {}
}

variable "pritunl_info" {
  type = object({
    instance_type                     = string
    keypair                           = string
    trusted_cidr_ranges               = list(string)
    pritunl_mongodb_connection_format = string
    pritunl_mongodb_username          = string
    pritunl_mongodb_connection        = string
  })
  description = "Pritunl configuration details"
}
