#cloud-config

output: { all: "| tee -a /var/log/cloud-init-output.log" }

package_upgrade: true

packages:
- epel-release

yum_repos:
  pritunl:
    baseurl: https://repo.pritunl.com/stable/yum/centos/7/
    enabled: true
    failovermethod: priority
    gpgcheck: false
    name: Pritunl Repository

runcmd:
- echo -e "* hard nofile 64000\n* soft nofile 64000\nroot hard nofile 64000\nroot soft nofile 64000" >> /etc/security/limits.conf
- yum -y install pritunl python-pip jq
- pip install awscli
- /usr/lib/pritunl/bin/pip install dnspython
- aws_default_region=$(curl --silent http://169.254.169.254/latest/dynamic/instance-identity/document | jq -r .region)
- pritunl_mongodb_connection_format=$${pritunl_mongodb_connection_format:-mongodb+srv}
- pritunl_mongodb_username=$${pritunl_mongodb_username:-pritunl}
- pritunl_mongodb_password=$(aws ssm get-parameter --region $${aws_default_region} --with-decryption --name /pritunl/mongodb_admin_password | jq -r '.Parameter.Value')
- pritunl_mongodb_connection=$${pritunl_mongodb_connection:-hbi-services-pritunl-nyd8u.mongodb.net/test}
- pritunl set-mongodb mongodb+srv://$${pritunl_mongodb_username}:$${pritunl_mongodb_password}@$${pritunl_mongodb_connection}
- pritunl set-mongodb $${pritunl_mongodb_connection_format}://$${pritunl_mongodb_username}:$${pritunl_mongodb_password}@$${pritunl_mongodb_connection}
- systemctl start pritunl
- systemctl enable pritunl
